Retrieves a paginated list of receipt orders for a specific store.
GET/api/v2/public/stores/{store_number}/orders/receipts
Retrieves a paginated list of receipt orders for a specific store.
Retrieves a paginated list of receipt orders for a specific store.
curl https://api.colleqtive.net/api/v2/public/stores/$STORE_NUMBER/orders/receipts \
-H "Authorization: $COLLEQTIVE_BEARER_TOKEN"{
"page_size": 0,
"page_start": 0,
"total_count": 0,
"list": [
{
"datetime_created": "2019-12-27T18:11:19.117Z",
"datetime_expected": "2019-12-27T18:11:19.117Z",
"import_id": 0,
"order_type_id": 0,
"updated_on": "2019-12-27T18:11:19.117Z",
"order_number": "order_number",
"receipt_lines": [
{
"id": 0,
"purchase_price": 0,
"received_quantity": 0,
"shipped_quantity": 0,
"store_products_price": 0,
"updated_on": "2019-12-27T18:11:19.117Z",
"barcode": "barcode",
"category_code": "category_code",
"container_barcode": "container_barcode",
"description": "description",
"group_code": "group_code",
"line_number": 0,
"product_number": "product_number"
}
],
"status": "status",
"store_gln": "store_gln",
"store_number": "store_number",
"supplier_code": "supplier_code",
"supplier_name": "supplier_name"
}
],
"list_body": {
"foo": "bar"
},
"list_filters": {
"foo": [
"string"
]
},
"next_page": 0,
"previous_page": 0,
"project_last_modified_date": "project_last_modified_date",
"scroll_id": "scroll_id",
"server_time": "server_time",
"sort_column": "sort_column",
"sort_order": "sort_order",
"task_last_modified_date": "task_last_modified_date"
}Returns Examples
{
"page_size": 0,
"page_start": 0,
"total_count": 0,
"list": [
{
"datetime_created": "2019-12-27T18:11:19.117Z",
"datetime_expected": "2019-12-27T18:11:19.117Z",
"import_id": 0,
"order_type_id": 0,
"updated_on": "2019-12-27T18:11:19.117Z",
"order_number": "order_number",
"receipt_lines": [
{
"id": 0,
"purchase_price": 0,
"received_quantity": 0,
"shipped_quantity": 0,
"store_products_price": 0,
"updated_on": "2019-12-27T18:11:19.117Z",
"barcode": "barcode",
"category_code": "category_code",
"container_barcode": "container_barcode",
"description": "description",
"group_code": "group_code",
"line_number": 0,
"product_number": "product_number"
}
],
"status": "status",
"store_gln": "store_gln",
"store_number": "store_number",
"supplier_code": "supplier_code",
"supplier_name": "supplier_name"
}
],
"list_body": {
"foo": "bar"
},
"list_filters": {
"foo": [
"string"
]
},
"next_page": 0,
"previous_page": 0,
"project_last_modified_date": "project_last_modified_date",
"scroll_id": "scroll_id",
"server_time": "server_time",
"sort_column": "sort_column",
"sort_order": "sort_order",
"task_last_modified_date": "task_last_modified_date"
}